using System;
using System.Linq;
using System.Text;
using System.Collections.Generic;
using Plus.Communication.Packets.Outgoing.Rooms.Notifications;

namespace Plus.HabboHotel.Rooms.Chat.Commands.User
{
    class IdentifierCommand : IChatCommand
    {
        public string PermissionRequired
        {
            get { return "command_identifier"; }
        }

        public string Parameters
        {
            get { return ""; }
        }

        public string Description
        {
            get { return "Autoriser ou pas l'identification."; }
        }

        public void Execute(GameClients.GameClient Session, Rooms.Room Room, string[] Params)
        {
           if(Session.GetHabbo().Identifier == 0)
            {
                Session.GetHabbo().Identifier = 1;
                Session.GetHabbo().SaveIdentifier();
                Session.SendMessage(new BubbleNotificationComposer("Vous ne recevez plus les notifications d'identification !", "notif"));
                return;
            }
            else
            {
                Session.GetHabbo().Identifier = 0;
                Session.GetHabbo().SaveIdentifier();
                Session.SendMessage(new BubbleNotificationComposer("Vous recevez les notifications d'identification !", "notif"));
                return;
            }
        }
    }
}
